org.eclipse.wst.jsdt.ui.actions

## Class ImportActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.ImportActionGroup

    public class ImportActionGroup
    extends ActionGroup

Action group to add the Import and Export action to a view part's context menu.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ImportActionGroup(IViewPart part)` Creates a new `ImportActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillContextMenu(IMenuManager menu)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportActionGroup

    public ImportActionGroup(IViewPart part)

Creates a new `ImportActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()